

syntax = "proto3";
package cmvr.api;
import "cmvr/api/common.proto";
import "cmvr/api/humanoid_robot_command.proto";

service HumanoidRobotService{
  rpc torqueOff(CommandHeader.Request) returns (CommandHeader.Feedback);
  rpc torqueOn(CommandHeader.Request) returns (CommandHeader.Feedback);
  rpc moveJ(MoveJ.Request) returns (MoveJ.Response);
  rpc moveL(MoveL.Request) returns (MoveL.Response);
  rpc speedJ(SpeedJ.Request) returns (SpeedJ.Response);
  rpc speedL(SpeedL.Request) returns (SpeedL.Response);
  rpc getJointState(JointRequest) returns (JointResponse);
  rpc getPose(GetPose.Request) returns (GetPose.Response);
}
